﻿qx.Class.define("my.JSONCellRenderer", {

	extend: wisej.web.datagrid.cellRenderer.Cell,

	members: {

		/**
		 * Returns the value to render inside the cell.
		 *
		 * This method may be overridden by sub classes.
		 *
		 * @param cellInfo {Map} The information about the cell.
		 * See {@link qx.ui.table.cellrenderer.Abstract#createDataCellHtml}.
		 */
		_getCellValue: function (cellInfo) {

			var jsonObj = [];

			if (cellInfo.value != "") {
				jsonString = cellInfo.value;

				var strFirstThree = jsonString.substring(0, 4);
				if (strFirstThree == "[{\"P")
				{
					/**jsonString = jsonString.replace(",", "},{");**/
					jsonString = jsonString.split(",").join("},{");
					jsonString = jsonString.replace(/\"P1\":/g, "\"V\":");
					jsonString = jsonString.replace(/\"P2\":/g, "\"V\":");
					jsonString = jsonString.replace(/\"P3\":/g, "\"V\":");
				}
					
				jsonObj = JSON.parse(jsonString);
                
			}

			//if (jsonObj.length = 0) {
			//	jsonObj[0] = { V: "-" };
			//	jsonObj[1] = { V: "-" };
			//	jsonObj[2] = { V: "-" };
			//}
			//else if (jsonObj.length = 1) {
			//	jsonObj[1] = { V: "-" };
			//	jsonObj[2] = { V: "-" };
			//}
			//else if (jsonObj.length = 2) {
			//	jsonObj[2] = { V: "-" };
			//}

			if (jsonObj.length < 3) {
				if (jsonObj.length == 0) {
				jsonObj[0] = { V: "-" };
				jsonObj[1] = { V: "-" };
				jsonObj[2] = { V: "-" };
			}
			else if (jsonObj.length == 1) {
				jsonObj[1] = { V: "-" };
				jsonObj[2] = { V: "-" };
			}
			else if (jsonObj.length == 2) {
				jsonObj[2] = { V: "-" };
			}
			}
				
			return "<input style='margin-bottom: 1px; width:100%' class='three_input_item' type='text' value='" + jsonObj[0]["V"] + "'><br />" +
					"<input style='margin-bottom: 1px; width:100%' class='three_input_item' type='text' value='" + jsonObj[1]["V"] + "'><br />" +
					"<input style='margin-bottom: 1px; width:100%' class='three_input_item' type='text' value='" + jsonObj[2]["V"] + "'><br />";
		}
	}
});